memory.c File Reference
Common

Precision-independent memory-related routines. More...

`#include "slu_ddefs.h"`
Include dependency graph for memory.c:

## Functions

void * | superlu_malloc (size_t size)
void | superlu_free (void *addr)
void | SetIWork (int m, int n, int panel_size, int *iworkptr, int **segrep, int **parent, int_t **xplore, int **repfnz, int **panel_lsub, int_t **xprune, int **marker)
| Set up pointers for integer working arrays. More...
void | copy_mem_int (int_t howmany, void *old, void *new)
void | user_bcopy (char *src, char *dest, int bytes)
int * | int32Malloc (int n)
int_t * | intMalloc (int_t n)
int * | int32Calloc (int n)
int_t * | intCalloc (int_t n)

## Detailed Description

Shared by [sdcz]memory.c)

## Function Documentation

## copy_mem_int()

void copy_mem_int | ( | int_t | howmany,
|  | void * | old,
|  | void * | new
| ) |  |

## int32Calloc()

int * int32Calloc | ( | int | n | ) |

## int32Malloc()

int * int32Malloc | ( | int | n | ) |

## intCalloc()

int_t * intCalloc | ( | int_t | n | ) |

## intMalloc()

int_t * intMalloc | ( | int_t | n | ) |

## SetIWork()

void SetIWork | ( | int | m,
|  | int | n,
|  | int | panel_size,
|  | int * | iworkptr,
|  | int ** | segrep,
|  | int ** | parent,
|  | int_t ** | xplore,
|  | int ** | repfnz,
|  | int ** | panel_lsub,
|  | int_t ** | xprune,
|  | int ** | marker
| ) |  |

Here is the call graph for this function:

## superlu_free()

void superlu_free | ( | void * | addr | ) |

## superlu_malloc()

void * superlu_malloc | ( | size_t | size | ) |

## user_bcopy()

void user_bcopy | ( | char * | src,
|  | char * | dest,
|  | int | bytes
| ) |  |